"""songbox API Client Library

A Python client library for the songbox music streaming API.
"""

from .client import SongboxClient
from .clients import AuthClient, MusicClient, UserClient
from .exceptions import (
    APIError,
    AuthenticationError,
    NotFoundError,
    RateLimitError,
    songboxError,
)

__version__ = "1.0.0"
__author__ = "songbox Library"
__email__ = "custom.icon@vk.com"

__all__ = [
    "SongboxClient",
    "AuthClient",
    "UserClient",
    "MusicClient",
    "songboxError",
    "AuthenticationError",
    "APIError",
    "RateLimitError",
    "NotFoundError",
]
